import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { ReplaceTexts, AngularFileUploaderConfig, UploadInfo } from './angular-file-uploader.types';
import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
import * as i0 from "@angular/core";
export declare class AngularFileUploaderComponent implements OnChanges {
    private http;
    config: AngularFileUploaderConfig;
    resetUpload: boolean;
    ApiResponse: EventEmitter<any>;
    fileSelected: EventEmitter<UploadInfo[]>;
    theme: string;
    id: number;
    hideProgressBar: boolean;
    maxSize: number;
    uploadAPI: string;
    method: string;
    formatsAllowed: string;
    formatsAllowedText: string;
    multiple: boolean;
    headers: HttpHeaders | {
        [header: string]: string | string[];
    };
    params: HttpParams | {
        [param: string]: string | string[];
    };
    responseType: 'json' | 'arraybuffer' | 'blob' | 'text';
    hideResetBtn: boolean;
    hideSelectBtn: boolean;
    allowedFiles: File[];
    notAllowedFiles: {
        fileName: string;
        fileSize: string;
        errorMsg: string;
    }[];
    Caption: string[];
    isAllowedFileSingle: boolean;
    progressBarShow: boolean;
    enableUploadBtn: boolean;
    uploadMsg: boolean;
    afterUpload: boolean;
    uploadStarted: boolean;
    uploadMsgText: string;
    uploadMsgClass: string;
    uploadPercent: number;
    replaceTexts: ReplaceTexts;
    currentUploads: any[];
    fileNameIndex: boolean;
    withCredentials: boolean;
    autoUpload: boolean;
    private idDate;
    constructor(http: HttpClient);
    ngOnChanges(changes: SimpleChanges): void;
    resetFileUpload(): void;
    onChange(event: any): void;
    uploadFiles(): void;
    handleErrors(): void;
    removeFile(i: any, sf_na: any): void;
    convertSize(fileSize: number): string;
    attachpinOnclick(): void;
    drop(event: any): void;
    allowDrop(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularFileUploaderComponent, [{ skipSelf: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularFileUploaderComponent, "extended-angular-file-uploader", never, { "config": "config"; "resetUpload": "resetUpload"; }, { "ApiResponse": "ApiResponse"; "fileSelected": "fileSelected"; }, never, never>;
}
